## chromahold chromahold |

## Properties

guint | target-b | Read / Write
guint | target-g | Read / Write
guint | target-r | Read / Write
guint | tolerance | Read / Write

## Types and Values

struct | GstChromaHold

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstChromaHold

## Description

The chromahold element will remove all color information for all colors except a single one and converts them to grayscale.

Sample pipeline:

    1
    2
    3
    gst-launch-1.0 videotestsrc pattern=smpte75 ! \
      chromahold target-r=0 target-g=0 target-b=255 ! \
      videoconvert ! autovideosink     \

This pipeline only keeps the red color.

## Synopsis

### Element Information

plugin | coloreffects
author | Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ ARGB, BGRA, ABGR, RGBA, xRGB, BGRx, xBGR, RGBx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ ARGB, BGRA, ABGR, RGBA, xRGB, BGRx, xBGR, RGBx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstChromaHold

    struct GstChromaHold;

## Property Details

### The `“target-b”` property

      “target-b”                 guint

The Blue target.

Flags: Read / Write

Allowed values: <= 255

Default value: 0

### The `“target-g”` property

      “target-g”                 guint

The Green target.

Flags: Read / Write

Allowed values: <= 255

Default value: 0

### The `“target-r”` property

      “target-r”                 guint

The Red target.

Flags: Read / Write

Allowed values: <= 255

Default value: 255

### The `“tolerance”` property

      “tolerance”                guint

Tolerance for the target color.

Flags: Read / Write

Allowed values: <= 180

Default value: 30